Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Static Public Attributes | List of all members
LatBuilder::Norm::PAlphaBase< DERIVED > Class Template Reference

Base class for bounds on the \(\mathcal P_\alpha\) values. More...

`#include <PAlphaBase.h>`

## Public Member Functions
| PAlphaBase (unsigned int alpha, Real normType)
| Constructor. More...
unsigned | alpha () const
Real | normType () const
Real | minExp () const
Real | maxExp () const
template<LatType L>
Real | value (Real lambda, const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
| Returns the value of the bound. More...
template<LatType L>
Real | operator() (const SizeParam< L > &sizeParam, Dimension dimension, Real norm=1.0) const
| Returns the smallest value of the bound for dimension `dimension`. More...
template<LatType L>
Real | minimum (const SizeParam< L > &sizeParam, Dimension dimension, Real norm) const
| Returns the minimum value of the bound function. More...

## Static Public Attributes
static const unsigned | MINIMIZER_MAX_ITER = 1000u
| Maximum number of iterations to be used with the minimizer.
static const int | MINIMIZER_PREC_BITS = 18
| Relative precision on the minimum value to be used with the minimizer.

## Detailed Description

### template<class DERIVED>
class LatBuilder::Norm::PAlphaBase< DERIVED >

Base class for bounds on the \(\mathcal P_\alpha\) values.

## Constructor & Destructor Documentation

template<class DERIVED>

LatBuilder::Norm::PAlphaBase< DERIVED >::PAlphaBase | ( | unsigned int | alpha,
|  | Real | normType
| ) |  |
| inline

Constructor.

Parameters

  alpha | Smoothness level \(\alpha\) of the class of functions.
  normType | Type of cross-projection norm used by the figure of merit.

## Member Function Documentation

template<class DERIVED>
template<LatType L>

Real LatBuilder::Norm::PAlphaBase< DERIVED >::minimum | ( | const SizeParam< L > & | sizeParam,
|  | Dimension | dimension,
|  | Real | norm
| ) |  | const
| inline

Returns the minimum value of the bound function.

Uses BrentMinimizer to minimize the bound function. The value of \(\lambda\) at which the minimum is reached is not returned.

Referenced by LatBuilder::Norm::PAlphaBase< PAlphaDPW08 >::operator()().

template<class DERIVED>
template<LatType L>

Real LatBuilder::Norm::PAlphaBase< DERIVED >::operator() | ( | const SizeParam< L > & | sizeParam,
|  | Dimension | dimension,
|  | Real | norm = `1.0`
| ) |  | const
| inline

Returns the smallest value of the bound for dimension `dimension`.

Parameters

  sizeParam | Size parameter for the lattices.
  dimension | Dimension.
  norm | Additional normalization \( c \).

template<class DERIVED>
template<LatType L>

Real LatBuilder::Norm::PAlphaBase< DERIVED >::value | ( | Real | lambda,
|  | const SizeParam< L > & | sizeParam,
|  | Dimension | dimension,
|  | Real | norm = `1.0`
| ) |  | const
| inline

Returns the value of the bound.

Parameters

  lambda | Value of \(\lambda = \).
  sizeParam | Size parameter for the lattices.
  dimension | Dimension.
  norm | Additional normalization \( c \).

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Norm/PAlphaBase.h